Bug 810722 - fsck fail on crypted partition does not keep device luksOpen
fsck fail on crypted partition does not keep device luksOpen
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: systemd-RFE
  Show dependency treegraph
 
Reported: 2012-04-08 13:06 EDT by Dr. Tilmann Bubeck
Modified: 2013-05-15 22:59 EDT (History)
7 users (show)

See Also:
Fixed In Version: systemd-201-2.fc18.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-15 22:59:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dr. Tilmann Bubeck 2012-04-08 13:06:07 EDT
Description of problem:
When there is a filesystem failure on a crypted partition that could not be fixed by fsck on system boot it drops to a emergency shell. However, the failed device could not be fixed by running "fsck -y /dev/mapper/luks-ab948062-a3e3-4ff2-8def-f26cc8324c44" because "/dev/mapper/luks-ab948062-a3e3-4ff2-8def-f26cc8324c44" is a dangling link. It is dangling because the crypted device is closed by systemd after the failing fsck.

To fix the filesystem one has to issue the following command in the emergency shell:

root# cryptsetup luksOpen /dev/sda6
....password enter...
root# fsck -y /dev/mapper/luks-ab948062-a3e3-4ff2-8def-f26cc8324c44

The luksOpen is irritating because fsck outputs the failing of /dev/mapper/luks-ab948062-a3e3-4ff2-8def-f26cc8324c44, but this device is not available. So the user has to know how to luksOpen the failing device. It is not enough to execute fsck alone.

Version-Release number of selected component (if applicable):
systemd-37-17.fc16

How reproducible:
Always, when there is a big file system error on a crypted partition.

Steps to Reproduce:
1. make a bug error on a crypted filesystem
2. reboot
3. watch fsck fail and drop to a emergency shell
  
Actual results:
Manual execution of fsck with the failing device prints out: device XXX is not available.

Expected results:
fsck'ing the device.

Additional info:
Comment 1 Dr. Tilmann Bubeck 2012-04-08 13:07:09 EDT
Fix should be: 

when fsck fails on a crypted partition then keep the partition luksOpen and do not close it.

So the user is able to execute the failing fsck manually and use the device which was printed by the failing fsck before.
Comment 2 Fedora End Of Life 2013-01-16 12:42:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-04-01 23:58:03 EDT
Patch applied upstream in http://cgit.freedesktop.org/systemd/systemd/commit/?id=80cfe9e1.
Comment 4 Fedora End Of Life 2013-04-03 16:20:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora Update System 2013-04-10 16:15:05 EDT
systemd-201-2.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-201-2.fc18.1
Comment 6 Fedora Update System 2013-04-11 19:28:14 EDT
Package systemd-201-2.fc18.2:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.2
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-04-15 20:02:50 EDT
Package systemd-201-2.fc18.4:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.4'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.4
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-04-17 22:40:28 EDT
Package systemd-201-2.fc18.5:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.5
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-05-07 09:42:28 EDT
systemd-201-2.fc18.6 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.6
Comment 10 Fedora Update System 2013-05-09 06:04:15 EDT
Package systemd-201-2.fc18.6:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.6
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-05-15 22:59:42 EDT
systemd-201-2.fc18.6 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.